{% extends 'template.html' %}

{% block title %}WRF Simulation Request{% endblock %}
{% block head %}
    <meta name="viewport" content="initial-scale=1.0, user-scalable=no" />
    <script type="text/javascript" src="{{ STATIC_URL }}js/KML_Logic.js"></script>
    <style type="text/css">
        #control{
            position: absolute;
            top:      50px;
            left:     50px;
            width:    200px;
            height:   100px;
            z-index:  100;
        }
        #layout { position: absolute; bottom: 0px; width: 100%; height: 100%; }
        #map_canvas { position: absolute; bottom:0px; left: 300px; right:0px; width: 100%; height: 100%; border-left-style: solid; }
        #locationInfo { position: absolute; width: 300px; top: 150px; }
    </style>
    <script type="text/javascript">
        var map;

        function initialize() {

            // Grabs all the inputs and places it into data
            var centerLat = $("#location").find("#centerLat").val();
            var centerLon = $("#location").find("#centerLon").val();

            var latlng = new google.maps.LatLng(centerLat, centerLon);

            var myOptions = {
                zoom      : 10,
                center    : latlng,
                mapTypeId : google.maps.MapTypeId.HYBRID
            };
            map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);

            // Starts the animation listener.  CALL THIS ONLY ONCE when initializing
            startAnimation(500);

            var url = "/media/" + $("#location").find("#id").val() + "/";

            //Initializes the animation
            initiateFolderContents(event.latLng, url, "doc.kml", 0);
        }

    </script>
{% endblock %}
{% block onload %}initialize(){% endblock %}
{% block content %}
    {% if location.is_complete %}
        <div id="layout">
            <div id="locationInfo">
                <h1>{{ location.title }}</h1>
                Latitude: {{ location.ignLat }}<br/>
                Longitude: {{ location.ignLon }}<br/>
                Ignition Time: {{ location.ignTime }}<br/>
                Run Time: {{ location.runTime }}<br/>
                Spinup Time: {{ location.spinupTime }}<br/>
                Ignition Radius: {{ location.ign_radius }}<br/>
                Expires: <font color="red">{{ expire_date }}</font><br/>
                <a href="renewTimestamp/">Renew Time Stamp?</a><br/>

            </div>
            <div id="map_canvas"></div>
        </div>
        <div id="control">
            <div id="slider"></div>
            <br/>
            <button class="ui-state-default ui-corner-all" id="play-button"><span class="ui-icon ui-icon-play"></span></button>
            <button class="ui-state-default ui-corner-all" id="pause-button"><span class="ui-icon ui-icon-pause"></span></button>
            <button class="ui-state-default ui-corner-all" id="stop-button"><span class="ui-icon ui-icon-stop"></span></button>
        </div>
        <div id="location">
            <input type="hidden" id="centerLat" value="{{ location.centerLat }}" />
            <input type="hidden" id="centerLon" value="{{ location.centerLon }}" />
            <input type="hidden" id="id" value="{{ location.pk }}" />
        </div>
    {% else %}
        Your request is still in the process of being completed.  Please check back later.<br/>
        <a href="/">Home</a>
    {% endif %}
{% endblock %}

